=== debian/changelog ===
fonts-routed-gothic (1.0.0+git20210723.e22ee83+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload. 

 -- Boyuan Yang <byang@debian.org>  Thu, 05 May 2022 13:05:16 -0400

fonts-routed-gothic (1.0.0+git20210723.e22ee83+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #1004995)

 -- Agathe Porte <debian@microjoe.org>  Tue, 08 Feb 2022 15:19:50 +0100
