=== debian/control ===
Source: fonts-routed-gothic
Section: fonts
Priority: optional
Maintainer: Debian Fonts Team <debian-fonts@lists.debian.org>
Uploaders:
 Agathe Porte <debian@microjoe.org>,
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Homepage: https://webonastick.com/fonts/routed-gothic/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-routed-gothic.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-routed-gothic
Rules-Requires-Root: no

Package: fonts-routed-gothic
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: Clean vintage drafting, avionics, routed signage, and keyboard legend font
 A clean implementation of a common lettering style found on technical
 drawings, engraved office signs, computer and typewriter keyboards, and
 some comic books and avionics from the mid-20th century.
