=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@


override_dh_auto_build:
	# Do not build from source. See debian/README.source
