=== debian/watch ===
version=4
 opts="mode=git, pgpmode=none, pretty=1.0.0+git%cd.%h, repacksuffix=+dfsg, dversionmangle=s/\+dfsg//" \
 https://github.com/dse/routed-gothic \
 HEAD
